-module(nanny).
-behaviour(supervisor).

-export([start_link/0, start_child/0]).

-export([init/1]).


start_link() ->
    supervisor:start_link({local, ?MODULE}, ?MODULE, []).

start_child() ->
    supervisor:start_child(?MODULE, []).


init([]) ->
    Children = {children,
                    {children, start_link, []},
                    temporary, 300000, worker, [children]},

    {ok,{
            {simple_one_for_one, 3, 10}, 
            [Children]}}.
